---
description: Overview of how to navigate and use the DEX in its current state.
---

# User Guide

## Creating an account

1. Navigate to the DEX dashboard.
2. Click  `create an account`.

![Initial index page](../../.gitbook/assets/image%20%2843%29.png)

3. Enter a Public Account Name which contains at least one dash, a number or no vowels.  
4. Enter a password with at least 12 characters  
5. Click `create`.

![Creating an account](../../.gitbook/assets/image%20%2845%29.png)

After creating an account, you will automatically be logged in.

## Logging in

If not already logged in, click the `Log In` button in the navbar. 

![Initial index page](../../.gitbook/assets/image%20%2859%29.png)

Enter the account details and log in.

![](../../.gitbook/assets/image%20%2837%29.png)

## Navigating the Menus

Clicking the menu button located at the top left of the navbar will reveal buttons to navigate to different sections of the DEX.

![Initial index page](../../.gitbook/assets/image%20%2858%29.png)

By default, these sections include `Dashboard`, `Exchange`, `My Assets`, `Settings`, `Contacts`,  and `Help`.

![Menu extended](../../.gitbook/assets/image%20%2856%29.png)

## Search

Click the magnifying glass at the top right of the navbar to reveal search options. 

![Initial index page](../../.gitbook/assets/image%20%2855%29.png)

Search can be done for `Users`, `Blocks`, and `Tokens`. Partial search is implemented and data relevant to the characters typed will be displayed. 

![Search options](../../.gitbook/assets/image%20%2854%29.png)

## Dashboard

### Quick Sell / Buy

This section enables users to quickly create market orders to buy assets. Enter the amount of paying asset in the first field, and then the amount of the desired asset in the second field. The fee for the filled out information will be shown and clicking the `buy` button will create a market listing for the amount. 

![Creating a listing for buying 1 BTC for 1 TEST](../../.gitbook/assets/image%20%2844%29.png)

### Sending Assets

This section enables users to send assets to other users on the Peerplays blockchain. 

1. Enter a quantity of the asset to send.
2. Enter the account name of the desired recipient.
3. Select the desired asset.
4. Optionally, add a memo message to send.
5. Click `send`.

The fee will be listed once the quantity and asset are selected. 

![Sending assets to another user on the blockchain](../../.gitbook/assets/image%20%2842%29.png)

### My Activity

User activity can be viewed under this list. These activities include account creation, and creating and receiving orders.

![List of user activities](../../.gitbook/assets/image%20%2840%29.png)

### My Assets

Assets owned can be viewed under this list. This includes the asset name, amount available, price, change, and value.

![List of assets owned](../../.gitbook/assets/image%20%2834%29.png)

## Exchange

### Selecting an Asset Pair

To select an asset pair, click on the `asset/asset` button located at the top of the dashboard. and select the desired pair.

![Asset pair button](../../.gitbook/assets/image%20%2832%29.png)

![Selecting an asset pair](../../.gitbook/assets/image%20%2848%29.png)

### Buying and Selling an Asset

The `order book` is a quick way to fill out the buy and sell column with a defined amount of the asset pair selected. 

![Orderbook](../../.gitbook/assets/image%20%2847%29.png)

To buy or sell an asset, enter the price of the desired asset in terms of the paying asset and the quantity of the desired asset and click the `buy asset` or `sell asset` button. The total price before the fee will be displayed in the `total` field before the fee. The fees and current wallet balance will be shown before the order is placed. 

![Buy/sell asset pairs](../../.gitbook/assets/image%20%2851%29.png)

This will create a listing under the `open orders` section of the exchange. 

![Open orders](../../.gitbook/assets/image%20%2831%29.png)

### Cancelling Open Orders

To cancel an open order, hover over the `kill` column on the desired open order to reveal a red trash icon. This icon can be pressed to bring up a prompt to cancel that order.

![Trash icon revealed to delete an open order](../../.gitbook/assets/image%20%2830%29.png)

Verify the fee payment in the prompt to cancel the order.

![Prompt after clicking the trash icon](../../.gitbook/assets/image%20%2833%29.png)

## My Assets

### Assets

Assets owned can be viewed under this section. This includes the asset name, amount available, price, change, and value.

![](../../.gitbook/assets/image%20%2841%29.png)

### Open Orders

Open orders for the account can be viewed under this section. This includes the trade asset, order ID, description, price, market price and value.

![](../../.gitbook/assets/image%20%2829%29.png)

### Activity

User activity can be viewed under this list. These activities include account creation, and creating and receiving orders.

![](../../.gitbook/assets/image%20%2849%29.png)

### Permissions

The account owner and active public keys can be viewed and added in this section. The account memo key can also be viewed here. 

![](../../.gitbook/assets/image%20%2853%29.png)



